package izayoi.node.impl.xvi;

import izayoi.Izayoi;
import izayoi.node.GenericNode;

import java.net.URL;
import java.nio.charset.Charset;

/**
 * @author es
 */
public class XVInode extends GenericNode {

    /**
     * @param url
     */
    public XVInode(URL url, Charset cs, int port) {
        super(url);
        this.charset = cs;
        this.userAgent = Izayoi.VERSION;
        this.port = port;
    }

    public XVInode(URL url, int port) {
        this(url, Charset.forName("UTF-8"), port);
    }

}
